Subject: Re: RDMA will be reverted

From: Roland Dreier <[email-masked]>
Date: Wed, 05 Jul 2006 13:29:35 -0700

> Then why in the world would we put up explicit web pages that
 > say "TOE is bad, here's a list of reasons why" if we had any
 > intention of ever adding support for these kinds of devices?

I think there's a little bit of leap of logic there.  Everyone agrees
that winmodems are bad and yet there's still drivers/char/mwave.  This
TOE-phobia feels almost as if in the middle of one of those silly IDE
vs. SCSI flamewars, someone declared that Linux shouldn't have IDE drivers.

 > It's going to be difficult to discuss RDMA and iWARP sanely unless you
 > accept the indisputable fact that we've rejected TOE as a technology
 > entirely, and it is an example of precedence for disallowing support
 > for entire classes of hardware.

Fine.  I don't think I have much more to add to the discussion anyway.
The way forward seems to be to merge basic iWARP support that lives in
drivers/infiniband, and then you can accept or reject things for
better integration, like notifiers for routing changes.

 - R.